<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('stocks', function (Blueprint $table) {
            $table->index('voucher_id');
            $table->index('product_id');
            $table->index('batch_id');
            $table->index('invoice_batch_id');
            $table->index('attribute_id');
            $table->index('rack_location_id');
            $table->index('company_id');
            $table->index('financial_year_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
    }
};
